package com.casic.missiles.mapper.equipment;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.equipment.EquipmentApplyRequest;
import com.casic.missiles.model.equipment.EquipmentApply;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface EquipmentApplyMapper extends BaseMapper<EquipmentApply> {

    Page<EquipmentApply> equipmentApplyList(Page<EquipmentApply> page, @Param("request") EquipmentApplyRequest request);

    List<EquipmentApply> equipmentApplyList(@Param("request") EquipmentApplyRequest request);

    EquipmentApply equipmentApplyInfo(@Param("id") Long id);

    Long selectMaxNo();
}
